SoTypeList Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoTypeList Class Reference
Miscellaneous Classes

The SoTypeList class is a container class for arrays of SoType objects. More...

`#include <Inventor/lists/SoTypeList.h>`

Inheritance diagram for SoTypeList:

## Public Member Functions
| SoTypeList (void)
| SoTypeList (const int sizehint)
| SoTypeList (const SoTypeList &l)
void | append (const SoType type)
int | find (const SoType type) const
void | insert (const SoType type, const int insertbefore)
SoType | operator[] (const int idx) const
void | set (const int index, const SoType item)
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoTypeList class is a container class for arrays of SoType objects.

See also
  SbList

## Constructor & Destructor Documentation

SoTypeList::SoTypeList | ( | void |  | ) |
| inline

Default constructor.

SoTypeList::SoTypeList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbList::SbList(const int sizehint)

SoTypeList::SoTypeList | ( | const SoTypeList & | l | ) |
| inline

Copy constructor.

See also
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

void SoTypeList::append | ( | const SoType | type | ) |

Overridden from parent to accept an SoType argument.

int SoTypeList::find | ( | const SoType | type | ) | const

Overridden from parent to accept an SoType argument.

void SoTypeList::insert | ( | const SoType | type,
|  | const int | insertbefore
| ) |  |

Overridden from parent to accept an SoType argument.

SoType SoTypeList::operator[] | ( | const int | idx | ) | const

Overridden from parent to return an SoType instance..

void SoTypeList::set | ( | const int | index,
|  | const SoType | item
| ) |  |

This method sets the element at index to item. Overridden to accept an SoType argument.

The documentation for this class was generated from the following files:

- SoTypeList.h
- SoTypeList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.